/* _/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/

	FILE	: IME.h

+ ------ Explanation of file --------------------------------------------------------------------------

	IME
	描画は管理せずIMEとの文字列のやり取りのみ行います
	描画はテキスト取得して別クラスが行ってください

+ _/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/ */

#ifndef _IME_h_
#define _IME_h_

#include <Imm.h>

class WindowManager;

class IME
{
	private:
		WindowManager*	m_pWinMan;	// ウィンドウ管理

		HWND		m_hWndImc;	// IMEウィンドウハンドル
		HIMC		m_hImc;		// 入力コンテキスト
		POINT		m_pos;		// 座標

    public:
		IME();
		~IME();
		void	init(WindowManager* pWinMan);
		void	update(void);
		void	close(void);

		void	setPos(int x, int y);
		POINT	getPos(void){ return(m_pos); }
		void	setEnable(bool isEnable);
		bool	getEnable(bool);

	private:
		WindowManager*	getWinMan(void){ return(m_pWinMan); }
};

extern IME ime;

#endif // _IME_h_


